TechDraw DiameterDimension: Difference between revisions

From FreeCAD Documentation
(Removed old picture)
No edit summary
Line 10: Line 10:


==Description== <!--T:2-->
==Description== <!--T:2-->

The Dimension Diameter tool adds a diameter dimension to a View. The dimension may be applied to any circular in the drawing. The distance will initially be the projected distance (ie as shown on the drawing), but this may be changed to the actual 3D distance using the {{Button|[[Image:TechDraw_Dimension_Link.svg|16px]] Link Dimension}} tool.
The Dimension Diameter tool adds a diameter dimension to a View. The dimension may be applied to any circular in the drawing. The distance will initially be the projected distance (ie as shown on the drawing), but this may be changed to the actual 3D distance using the {{Button|[[Image:TechDraw_Dimension_Link.svg|16px]] Link Dimension}} tool.


Line 18: Line 19:


==How to use== <!--T:3-->
==How to use== <!--T:3-->

# Select a circular edge in the drawing. (Note some arcs which appear to be circular are actually ellipses or BSplines. You cannot make a diameter dimension in these cases)
# Select a circular edge in the drawing. (Note some arcs which appear to be circular are actually ellipses or BSplines. You cannot make a diameter dimension in these cases)
# Press the {{Button|[[Image:Dimension_Diameter.png|16px]] [[TechDraw Dimension Diameter|Dimension Diameter]]}} button
# Press the {{Button|[[Image:Dimension_Diameter.png|16px]] [[TechDraw Dimension Diameter|Dimension Diameter]]}} button
# A dimension will be added to the View. The dimension may be dragged to the desired position.
# A dimension will be added to the View. The dimension may be dragged to the desired position.


=== Limitations ===
== Limitations ==

Dimension objects are vulnerable to "topological naming" issues. See the information in the [[TechDraw Dimension Length]] tool for more information.
Dimension objects are vulnerable to "topological naming" issues. See the information in the [[TechDraw Dimension Length]] tool for more information.


==Properties== <!--T:5-->
==Properties== <!--T:5-->

This object has the same properties as the [[TechDraw Dimension Length]] tool. See that tool for details.
This object has the same properties as the [[TechDraw Dimension Length]] tool. See that tool for details.


==Scripting== <!--T:6-->
==Scripting== <!--T:6-->

{{Emphasis|See also:}} [[TechDraw API]] and [[FreeCAD Scripting Basics]].
{{Emphasis|See also:}} [[TechDraw API]] and [[FreeCAD Scripting Basics]].


Line 43: Line 48:


{{TechDraw Tools navi}}
{{TechDraw Tools navi}}

{{Userdocnavi}}
{{Userdocnavi}}
</translate>
</translate>

Revision as of 20:11, 3 January 2019

TechDraw Dimension Diameter

Menu location
TechDraw → Dimension Diameter
Workbenches
TechDraw
Default shortcut
None
Introduced in version
-
See also
TechDraw Dimension Radius

Description

The Dimension Diameter tool adds a diameter dimension to a View. The dimension may be applied to any circular in the drawing. The distance will initially be the projected distance (ie as shown on the drawing), but this may be changed to the actual 3D distance using the Link Dimension tool.

Measuring a circle, indicating the diameter

How to use

  1. Select a circular edge in the drawing. (Note some arcs which appear to be circular are actually ellipses or BSplines. You cannot make a diameter dimension in these cases)
  2. Press the File:Dimension Diameter.png Dimension Diameter button
  3. A dimension will be added to the View. The dimension may be dragged to the desired position.

Limitations

Dimension objects are vulnerable to "topological naming" issues. See the information in the TechDraw Dimension Length tool for more information.

Properties

This object has the same properties as the TechDraw Dimension Length tool. See that tool for details.

Scripting

See also: TechDraw API and FreeCAD Scripting Basics.

The Dimension Diameter tool can be used in macros and from the Python console by using the following functions:

dim1 = FreeCAD.ActiveDocument.addObject('TechDraw::DrawViewDimension','Dimension')
dim1.Type = "Diameter"
dim1.References2D=[(view1, 'Edge1')]
rc = page.addView(dim1)